Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Interface Pipe

All Known Implementing Classes:
  BufferPipe

    public interface Pipe

A Pipe is anything that can be used to get and put Domain objects; it can be closed, and it can be tested for whether more elements are available. A pipe may be closed with an exception, in which case hasNext/get will fail with that exception when they are called.

Author:
  kers

Method Summary
`void` | `close()` Close the pipe. hasNext() will deliver `false`, and `get` will throw an exception.
`void` | `close(java.lang.Exception e)` Close the pipe (see close()) and record `e` as its termination status.
`Domain` | `get()` Answer the next element if there is one, otherwise throw a NoSuchElementException.
`boolean` | `hasNext()` Answer true iff there are more elements for `get()` to get.
`void` | `put(Domain d)` Put a domain element into the pipe for later extraction.

Method Detail

### hasNext

    boolean hasNext()

  Answer true iff there are more elements for `get()` to get. If the pipe was closed with an exception, throw that exception.

### get

    Domain get()

  Answer the next element if there is one, otherwise throw a NoSuchElementException.

### put

    void put(Domain d)

  Put a domain element into the pipe for later extraction.

### close

    void close()

  Close the pipe. hasNext() will deliver `false`, and `get` will throw an exception.

### close

    void close(java.lang.Exception e)

  Close the pipe (see close()) and record `e` as its termination status. Any `get` from the pipe must then fail, throwing an exception.

  Parameters:
    `e` - the exception that caused the pipe to be closed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP